Link subclass: #LinkPoint
	instanceVariableNames: 'point '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Ex25.3'!
LinkPoint comment:
'This class is the answer to exercise 25.3. It is used to contain instances of Point in a LinkedList. See class example.'!


!LinkPoint methodsFor: 'private'!

setPoint: aPoint
	point := aPoint! !

!LinkPoint methodsFor: 'printing'!

printOn: aStream
	super printOn: aStream.
	aStream space; 
			nextPut: ${; 
			print: point; 
			nextPut: $}! !
"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

LinkPoint class
	instanceVariableNames: ''!


!LinkPoint class methodsFor: 'instance creation'!

newWithPoint: aPoint
	^self new setPoint: aPoint! !

!LinkPoint class methodsFor: 'examples'!

example
	"LinkPoint example"
	| list |
	list := LinkedList new.
	list add: (LinkPoint newWithPoint: 2@3).
	list add: (LinkPoint newWithPoint: 4@5).
	list add: (LinkPoint newWithPoint: 6@7).
	list add: (LinkPoint newWithPoint: 8@9).
	list add: (LinkPoint newWithPoint: 10@11).
	list add: (LinkPoint newWithPoint: 12@13).
	^list.! !

