LinkedList subclass: #Stack
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Ex25.5'!
Stack comment:
'This class is the answer to exercise 25.5. It provides stack behaviour for a LinkedList. See class example'!


!Stack methodsFor: 'stack behaviour'!

peek
	^self first!

pop
	^self removeFirst!

push: aLink
	^self addFirst: aLink! !
"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

Stack class
	instanceVariableNames: ''!


!Stack class methodsFor: 'examples'!

example
	"Stack example"

	| stack newLink peekLink popLink |
	stack := Stack new.
	stack push: (LinkPoint newWithPoint: 2 @ 3).
	stack push: (LinkPoint newWithPoint: 4 @ 5).
	stack push: (LinkPoint newWithPoint: 6 @ 7).
	stack push: (LinkPoint newWithPoint: 8 @ 9).
	stack push: (LinkPoint newWithPoint: 10 @ 11).
	newLink := LinkPoint newWithPoint: 12 @ 13.
	Transcript cr; show: newLink printString.
	stack push: newLink.
	popLink := stack pop.
	Transcript cr; show: popLink printString.
	peekLink := stack peek.
	Transcript cr; show: peekLink printString! !

