'From VisualWorks(R) Release 2.0 of 4 August 1994 on 2 December 1996 at 10:06:59 pm'!

View subclass: #DiceView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Games-Dice'!


!DiceView methodsFor: 'displaying'!

displayOn: aGraphicsContext
	"Display the model's value as a digit."

	model value printString asText displayOn: aGraphicsContext at: 10@10! !
"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

DiceView class
	instanceVariableNames: ''!


!DiceView class methodsFor: 'example'!

example
	"DiceView example"
	| dice |
	dice := Dice new.
	self openOn: dice.
	dice inspect! !

!DiceView class methodsFor: 'instance creation'!

openOn: aDice 
	"Create an instance of the receiver in a ScheduledWindow"
	"NB: remember to modify Dice>>roll to include a #changed message"
	"DiceView openOn: Dice new"

	| window diceView wrapper | 
	window := ScheduledWindow 
					model: aDice
					label: 'Dice'
					minimumSize: 60 @ 60. 
	diceView := self model: aDice. 
	wrapper := BorderedWrapper on: diceView.
	wrapper insideColor: ColorValue white. 
	wrapper borderWidth: 2. 
	diceView controller: NoController new. 
	window component: wrapper. 
	window open! !
