'From VisualWorks(R) Release 2.0 of 4 August 1994 on 2 December 1996 at 9:54:24 pm'!

Model subclass: #Dice
	instanceVariableNames: 'value '
	classVariableNames: 'Rand '
	poolDictionaries: ''
	category: 'Games-Dice'!


!Dice methodsFor: 'accessing'!

value 
	"Answer with the current value held by the receiver"

	^value! !

!Dice methodsFor: 'initialize-release'!

initialize
	"Initialize the variables of the receiver"

	value := 1.! !

!Dice methodsFor: 'modifying'!

roll
	"Set my value to be a random integer between 1 and 6"

	value := (Rand next * 6 + 1) truncated! !
"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

Dice class
	instanceVariableNames: ''!


!Dice class methodsFor: 'instance creation'!

new
	"Answer with an initialized instance of the receiver"

	^super new initialize! !

!Dice class methodsFor: 'class initialization'!

initialize
	"Dice initialize"
	Rand := Random new! !

Dice initialize!

